Bug 185759 - linux/if_ether.h does not include ETH_P_8021Q define while kernel rev does
linux/if_ether.h does not include ETH_P_8021Q define while kernel rev does
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-17 12:40 EST by David Acker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: kernel-headers-2.6.19-1.2895.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 13:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Acker 2006-03-17 12:40:55 EST
Description of problem:
The version of if_ether.h put in /usr/include/linux by glibc-kernheaders does
not include the define for the VLAN type, 802.1Q.  The kernel version of
if_ether.h does include this.  It is:
#define ETH_P_8021Q	0x8100          /* 802.1Q VLAN Extended Header  */

This is needed since raw sockets (PF_PACKET, SOCK_RAW) can see this tag.

Version-Release number of selected component (if applicable):
This is true in glibc-kernheaders-2.4-9.1.94 through glibc-kernheaders-3.0-5.2.
The kernel version of if_ether.h has had the VLAN define as far back as 2.4.18.
Comment 1 Christian Iseli 2007-01-22 05:57:36 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 David Acker 2007-01-22 13:39:13 EST
It is fixed in kernel-headers-2.6.19-1.2912.fc7 and
kernel-headers-2.6.19-1.2895.fc6 so I am closing it.

Note You need to log in before you can comment on or make changes to this bug.